See demo

html:

    <ai-flyout-menu>
        options
    </ai-flyout-menu>

../../iframe.html?id=components-flyout-menu--basic

### Hierarchy

- FlyoutMenu

### Implements

- OnInit

## Index

### Inputs

- flip
- placement
- offset

### Constructors

- constructor

### Properties

- _offset
- flip
- iconService
- placement

### Accessors

- offset

### Methods

- ngOnInit

## Constructors

### constructor

- new FlyoutMenu(iconService: IconService): FlyoutMenu

- - Defined in packages/angular/src/flyout-menu/flyout-menu.component.ts:76

  #### Parameters

  - ##### iconService: IconService

  #### Returns FlyoutMenu

## Properties

### Private _offset

_offset: any

- Defined in packages/angular/src/flyout-menu/flyout-menu.component.ts:76

### flip

@Input()
flip: boolean = false

- Defined in packages/angular/src/flyout-menu/flyout-menu.component.ts:72

### Protected iconService

iconService: IconService

### placement

@Input()
placement: "left" | "right" | "top" | "bottom" = 'bottom'

- Defined in packages/angular/src/flyout-menu/flyout-menu.component.ts:74

## Accessors

### offset

@Input()

- get offset(): { x: number; y: number }
- set offset(os: { x: number; y: number }): void

- - Defined in packages/angular/src/flyout-menu/flyout-menu.component.ts:65

  This specifies any vertical and horizontal offset for the position of the dialog

  #### Returns { x: number; y: number }

  - ##### x: number

  - ##### y: number

- - Defined in packages/angular/src/flyout-menu/flyout-menu.component.ts:62

  This specifies any vertical and horizontal offset for the position of the dialog

  #### Parameters

  - ##### os: { x: number; y: number }

    - ##### x: number

    - ##### y: number

  #### Returns void

## Methods

### ngOnInit

- ngOnInit(): void

- - Defined in packages/angular/src/flyout-menu/flyout-menu.component.ts:80

  #### Returns void

Generated using TypeDoc